import { z } from 'zod';
import { TouchBaseSchema } from '@isa/common/data-access';
import { NutritionFactTypeSchema } from './nutrition-fact-type.schema';

export const NutritionFactSchema = TouchBaseSchema.extend({
  label: z.string().describe('Label').optional(),
  nutritionFactType: NutritionFactTypeSchema.describe('Nutrition fact type').optional(),
  rdaQuantity: z.number().describe('Rda quantity').optional(),
  percentageOfRDA: z.number().describe('Percentage of r d a').optional(),
  kiloJoule: z.number().describe('Kilo joule').optional(),
  quantity: z.number().describe('Quantity').optional(),
});

export type NutritionFact = z.infer<typeof NutritionFactSchema>;
